/*
 * Copyright 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/***
   assert.h - program verification tool
   (not quite as nice as the UNIX version, but allows a msg)
   $Header: /bvd/att/usr/src/cmd/demo/src/closeup/RCS/assert.h,v 1.1 88/01/06 18:52:10 root Exp $
***/
extern void exit(); /* from libc */
#ifdef ASSERT_DONTUSE
#  define assert(e,msg)
#else
#  define assert(e,msg) \
	{if (!(e)) {fprintf(stderr,"\nAssert failed: %s\n",msg);/*getchar();*/ exit(1);}}
#endif
